Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::AdminSession`

## Overview

    interface AdminSession
        extends
    	::Glacier2::Session

An admin session object used by administrative clients to view, update and receive observer updates from the IceGrid registry. Admin sessions are created either with the `Registry` object or the registry admin `::Glacier2::SessionManager` object.

### See Also

`Registry`, `::Glacier2::SessionManager`

### Operation Index

`keepAlive`

  Keep the session alive.

`getAdmin`

  Get the admin interface.

`setObservers`

  Set the proxies of the observer objects that will receive notifications from the servers when the state of the registry or nodes changes.

`setObserversByIdentity`

  Set the identities of the observer objects that will receive notifications from the servers when the state of the registry or nodes changes.

`startUpdate`

  Acquires an exclusive lock to start updating the registry applications.

`finishUpdate`

  Finish updating the registry and release the exclusive lock.

## `keepAlive`

    void keepAlive();

Keep the session alive. Clients should call this operation regularly to prevent the server from reaping the session.

### See Also

`Registry::getSessionTimeout`

## `getAdmin`

    Admin* getAdmin();

Get the admin interface. The admin object returned by this operation can only be accessed by the session.

### Return Value

The admin interface proxy.

## `setObservers`

    void setObservers(RegistryObserver* registryObs,
        NodeObserver* nodeObs);

Set the proxies of the observer objects that will receive notifications from the servers when the state of the registry or nodes changes.

### Parameters

`registryObs`

  The registry observer.

`nodeObs`

  The node observer.

## `setObserversByIdentity`

    void setObserversByIdentity(::Ice::Identity registryObs,
        ::Ice::Identity nodeObs);

Set the identities of the observer objects that will receive notifications from the servers when the state of the registry or nodes changes. This operation should be used by clients that are using a bidirectional connection to communicate with the session.

### Parameters

`registryObs`

  The registry observer identity.

`nodeObs`

  The node observer identity.

## `startUpdate`

    int startUpdate()
        throws
    	AccessDeniedException;

Acquires an exclusive lock to start updating the registry applications.

### Return Value

The current serial.

### Exceptions

`AccessDeniedException`

  Raised if the exclusive lock can't be acquired. This might happen if the lock is currently acquired by another session.

## `finishUpdate`

    void finishUpdate()
        throws
    	AccessDeniedException;

Finish updating the registry and release the exclusive lock.

### Exceptions

`AccessDeniedException`

  Raised if the session doesn't hold the exclusive lock.

<<< Previous | Home | Next >>>
`IceGrid::Admin` | Up | `IceGrid::AllocationException`